$ErrorActionPreference = 'Stop';

$packageName= 'software-ideas-viewer'
$url        = 'https://www.softwareideas.net/Download/File/810/SoftwareIdeasViewer-11-96.exe'

$toolsDir   = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'EXE'
  url           = $url

  softwareName  = 'Software Ideas Viewer*'

  checksum      = '279a906a02eea0b75d47186a17a79e97a34520f08dceee27366fe9e5d77f7bcd'
  checksumType  = 'sha256'

  silentArgs   = '/VERYSILENT /SUPPRESSMSGBOXES /NORESTART /SP-' # Inno Setup
  validExitCodes= @(0)
}

Install-ChocolateyPackage @packageArgs
